<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@autor			rodrigo.hernandez
@description 	página para visualizar y desaociar documentos de un tramite de avalúo
@version 		2.0
@cu             CU-AC-SA-115

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:p="http://primefaces.org/ui"
        xmlns:misc="http://java.sun.com/jsf/composite/misc"
        xmlns:predio="http://java.sun.com/jsf/composite/predio"
        xmlns:avaluos="http://java.sun.com/jsf/composite/avaluos"
        id="docsAsociadosTramiteForm">

    <p:spacer height="10" />

    <p:fieldset>

        <p:focus />
        <p:messages id="adminsMsg" showDetail="false" globalOnly="false" />

        <h:panelGrid id="infoTramitePG" width="100%" columns="2">

            <h:outputLabel value="Sec. radicado" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{asociacionDocsRadicacionATramitesAvaluo.tramiteSeleccionado.secRadicado}" />

            <h:outputLabel value="Solicitante" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          value="#{asociacionDocsRadicacionATramitesAvaluo.tramiteSeleccionado.solicitante.nombreCompleto}" />

            <h:outputLabel value="Fecha radicación" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{asociacionDocsRadicacionATramitesAvaluo.tramiteSeleccionado.tramite.fechaRadicacion}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFecha}" locale="es_CO"
                                   timeZone="GMT-5" />
            </h:outputText>

            <h:outputLabel value="Territorial" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputTextStyle"
                          id="TerritorialesConDireccionGeneral-1"
                          value="#{asociacionDocsRadicacionATramitesAvaluo.tramiteSeleccionado.estructuraOrganizacionalCod}">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneral-1" />
            </h:outputText>

            <h:outputLabel value="Tipo trámite" styleClass="outputLabelStyle" />
            <h:outputText id="AvaluosComercialesTipoTramite-1"
                          styleClass="outputTextStyle"
                          value="#{asociacionDocsRadicacionATramitesAvaluo.tramiteSeleccionado.tramite.tipoTramite}">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoTramite-1" />
            </h:outputText>

        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" />

    <p:fieldset id="resultFS">
        <p:dataTable var="docTramite" id="docsTramitesTable"
                     widgetVar="docsTramitesDTWV"
                     paginatorPosition="bottom" paginator="true" rows="10"
                     value="#{asociacionDocsRadicacionATramitesAvaluo.listaDocumentosTramite}"
                     rowKey="#{docTramite.id}"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                     {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15"
                     emptyMessage="No hay resultados para esta búsqueda"
                     selectionMode="multiple"
                     selection="#{asociacionDocsRadicacionATramitesAvaluo.documentosTramiteSeleccionados}">

            <p:ajax event="rowSelect" update=":docsAsociadosTramiteForm:resultFS" />
            <p:ajax event="rowUnselect"
                    update=":docsAsociadosTramiteForm:resultFS" />

            <f:facet name="header">
                <h:outputText value="Documentos asociados al trámite" />
            </f:facet>

            <p:column headerText="Descripción documentación">
                <h:outputText id="TipoDocumentoClaseV" styleClass="outputTextStyle"
                              value="#{docTramite.documentoSoporte.tipoDocumento.nombre}">
                </h:outputText>
            </p:column>

            <p:column headerText="Documento soporte">
                <p:commandLink id="documentoTramiteCL"
                               action="#{asociacionDocsRadicacionATramitesAvaluo.visualizarDocumento}"
                               styleClass="commandLinkStyle"
                               value="#{docTramite.documentoSoporte.archivo}"
                               update=":docViewer:docViewerCCForm"
                               oncomplete="docAvaluosViewerWV.show();statusDialog2.hide()"
                               onstart="statusDialog2.show()">
                    <f:setPropertyActionListener
                        target="#{asociacionDocsRadicacionATramitesAvaluo.documentoSeleccionado}"
                        value="#{docTramite.documentoSoporte}" />
                </p:commandLink>
            </p:column>
        </p:dataTable>

        <p:spacer height="10" />

        <p:outputPanel layout="block">
            <p:commandButton value="Desasociar" 
                             onclick="if (docsTramitesDTWV.selection.length == 0) {
                                         alert('Debe seleccionar al menos un documento para desasociarlo');
                                         return false;
                                     }"
                             action="#{asociacionDocsRadicacionATramitesAvaluo.desasociarDocumentosATramites}"
                             update=":docsAsociadosTramiteForm:resultFS, :docsAsociadosTramiteForm:adminsMsg"
                             icon="ui-icon-check" oncomplete="statusDialog2.hide()"
                             onstart="statusDialog2.show()" />
        </p:outputPanel>
    </p:fieldset>
</h:form>


